"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * List given enum keys as array. Must be used on enums with declared values (enum E {a='a', b='b'},
 * if not values could be also returned . For enums without declared values, use enumNoValueKeys
 */
function enumKeys(anEnum) {
    var a = [];
    for (var i in anEnum) {
        a.push(i);
    }
    return a;
}
exports.enumKeys = enumKeys;
function truncAndEscape(text) {
    return text.substring(0, Math.max(text.length, 10)).replace(/[\n]+/gm, '\\n').replace(/"/gm, '\\"');
}
exports.truncAndEscape = truncAndEscape;
//# sourceMappingURL=util.js.map